> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/storeprinter.md).

# StorePrinter

StorePrinter

## List printers for store

> List printers for store

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StorePrinter","description":"StorePrinter"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StorePrinterListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/StorePrinterResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"StorePrinterResponseSchema":{"title":"StorePrinterResponseSchema","type":"object","required":["store","printer","eventType","storePrinterUid"],"properties":{"store":{"$ref":"#/components/schemas/BasicStoreResponseSchema"},"printer":{"$ref":"#/components/schemas/BasicPrinterResponseSchema"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"},"storePrinterUid":{"$ref":"#/components/schemas/UID"}}},"BasicStoreResponseSchema":{"title":"BasicStoreResponseSchema","type":"object","required":["name","storeUid","organizationUid","organizationName"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"},"organizationUid":{"$ref":"#/components/schemas/UID"},"organizationName":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"BasicPrinterResponseSchema":{"title":"BasicPrinterResponseSchema","type":"object","required":["printerUid","name","type","availablePrintActions"],"properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PrinterTypeENUM"},"availablePrintActions":{"type":"array","description":"Which print job types this printer supports. See [`AvailablePrintActionENUM`](#/components/schemas/AvailablePrintActionENUM).","items":{"$ref":"#/components/schemas/AvailablePrintActionENUM"}}}},"PrinterTypeENUM":{"title":"PrinterTypeENUM","type":"string","enum":["LABEL","RECEIPT","GENERAL"]},"AvailablePrintActionENUM":{"description":"Supported print **capabilities** for a printer. Values are intentionally **not** the same strings as\n[`PrinterTypeENUM`](#/components/schemas/PrinterTypeENUM) (hardware class: LABEL / RECEIPT) or\n[`OrderPrintTypeENUM`](#/components/schemas/OrderPrintTypeENUM) (order print request `type`), so clients\ndo not confuse `printer.type` with entries in `availablePrintActions`.\n\n| ENUM | Meaning | Maps to |\n| ---- | ------- | ------- |\n| RECEIPT | Sales receipt print | `OrderPrintTypeENUM` RECEIPT |\n| EXCHANGENOTE | Exchange note print | `OrderPrintTypeENUM` EXCHANGENOTE |\n| GIFTCARD_BARCODE | Gift card barcode print | `OrderPrintTypeENUM` GIFTCARD |\n| PICKUP_LABEL | Pickup label / note print | `OrderPrintTypeENUM` PICKUP |\n| PRODUCT | Product label print | Print-products API |\n| CUSTOMER_MEMBERSHIP_CARD | Customer membership card print | — |\n","minLength":1,"title":"AvailablePrintActionENUM","type":"string","enum":["RECEIPT","EXCHANGENOTE","GIFTCARD_BARCODE","PICKUP_LABEL","PRODUCT","CUSTOMER_MEMBERSHIP_CARD"]},"StorePrinterEventTypeENUM":{"title":"StorePrinterEventTypeENUM","type":"string","enum":["PICKUP_LABEL"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"parameters":{"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/printers":{"get":{"description":"List printers for store","operationId":"list-store-printers","responses":{"200":{"$ref":"#/components/responses/StorePrinterListResponse"}},"summary":"List printers for store","tags":["StorePrinter"],"parameters":[{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}]}}}}
```

## Assign printer to store and add an event type

> Assign an event type to a printer and store\
> \
> Required permissions: PRINTER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StorePrinter","description":"StorePrinter"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StorePrinterCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePrinterCreateRequestSchema"}}}}},"schemas":{"StorePrinterCreateRequestSchema":{"title":"StorePrinterCreateRequestSchema","type":"object","required":["printerUid","eventType"],"properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"},"storePrinterUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StorePrinterEventTypeENUM":{"title":"StorePrinterEventTypeENUM","type":"string","enum":["PICKUP_LABEL"]},"StorePrinterResponseSchema":{"title":"StorePrinterResponseSchema","type":"object","required":["store","printer","eventType","storePrinterUid"],"properties":{"store":{"$ref":"#/components/schemas/BasicStoreResponseSchema"},"printer":{"$ref":"#/components/schemas/BasicPrinterResponseSchema"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"},"storePrinterUid":{"$ref":"#/components/schemas/UID"}}},"BasicStoreResponseSchema":{"title":"BasicStoreResponseSchema","type":"object","required":["name","storeUid","organizationUid","organizationName"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"},"organizationUid":{"$ref":"#/components/schemas/UID"},"organizationName":{"type":"string"}}},"BasicPrinterResponseSchema":{"title":"BasicPrinterResponseSchema","type":"object","required":["printerUid","name","type","availablePrintActions"],"properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PrinterTypeENUM"},"availablePrintActions":{"type":"array","description":"Which print job types this printer supports. See [`AvailablePrintActionENUM`](#/components/schemas/AvailablePrintActionENUM).","items":{"$ref":"#/components/schemas/AvailablePrintActionENUM"}}}},"PrinterTypeENUM":{"title":"PrinterTypeENUM","type":"string","enum":["LABEL","RECEIPT","GENERAL"]},"AvailablePrintActionENUM":{"description":"Supported print **capabilities** for a printer. Values are intentionally **not** the same strings as\n[`PrinterTypeENUM`](#/components/schemas/PrinterTypeENUM) (hardware class: LABEL / RECEIPT) or\n[`OrderPrintTypeENUM`](#/components/schemas/OrderPrintTypeENUM) (order print request `type`), so clients\ndo not confuse `printer.type` with entries in `availablePrintActions`.\n\n| ENUM | Meaning | Maps to |\n| ---- | ------- | ------- |\n| RECEIPT | Sales receipt print | `OrderPrintTypeENUM` RECEIPT |\n| EXCHANGENOTE | Exchange note print | `OrderPrintTypeENUM` EXCHANGENOTE |\n| GIFTCARD_BARCODE | Gift card barcode print | `OrderPrintTypeENUM` GIFTCARD |\n| PICKUP_LABEL | Pickup label / note print | `OrderPrintTypeENUM` PICKUP |\n| PRODUCT | Product label print | Print-products API |\n| CUSTOMER_MEMBERSHIP_CARD | Customer membership card print | — |\n","minLength":1,"title":"AvailablePrintActionENUM","type":"string","enum":["RECEIPT","EXCHANGENOTE","GIFTCARD_BARCODE","PICKUP_LABEL","PRODUCT","CUSTOMER_MEMBERSHIP_CARD"]}},"responses":{"StorePrinterResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePrinterResponseSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/printers":{"post":{"operationId":"post-store-printer-details","description":"Assign an event type to a printer and store\n\nRequired permissions: PRINTER","requestBody":{"$ref":"#/components/requestBodies/StorePrinterCreateRequest"},"responses":{"201":{"$ref":"#/components/responses/StorePrinterResponse"}},"summary":"Assign printer to store and add an event type","tags":["StorePrinter"]}}}}
```

## Get Store Printer Details

> Get Store Printer Details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StorePrinter","description":"StorePrinter"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StorePrinterResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePrinterResponseSchema"}}}}},"schemas":{"StorePrinterResponseSchema":{"title":"StorePrinterResponseSchema","type":"object","required":["store","printer","eventType","storePrinterUid"],"properties":{"store":{"$ref":"#/components/schemas/BasicStoreResponseSchema"},"printer":{"$ref":"#/components/schemas/BasicPrinterResponseSchema"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"},"storePrinterUid":{"$ref":"#/components/schemas/UID"}}},"BasicStoreResponseSchema":{"title":"BasicStoreResponseSchema","type":"object","required":["name","storeUid","organizationUid","organizationName"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"},"organizationUid":{"$ref":"#/components/schemas/UID"},"organizationName":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"BasicPrinterResponseSchema":{"title":"BasicPrinterResponseSchema","type":"object","required":["printerUid","name","type","availablePrintActions"],"properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PrinterTypeENUM"},"availablePrintActions":{"type":"array","description":"Which print job types this printer supports. See [`AvailablePrintActionENUM`](#/components/schemas/AvailablePrintActionENUM).","items":{"$ref":"#/components/schemas/AvailablePrintActionENUM"}}}},"PrinterTypeENUM":{"title":"PrinterTypeENUM","type":"string","enum":["LABEL","RECEIPT","GENERAL"]},"AvailablePrintActionENUM":{"description":"Supported print **capabilities** for a printer. Values are intentionally **not** the same strings as\n[`PrinterTypeENUM`](#/components/schemas/PrinterTypeENUM) (hardware class: LABEL / RECEIPT) or\n[`OrderPrintTypeENUM`](#/components/schemas/OrderPrintTypeENUM) (order print request `type`), so clients\ndo not confuse `printer.type` with entries in `availablePrintActions`.\n\n| ENUM | Meaning | Maps to |\n| ---- | ------- | ------- |\n| RECEIPT | Sales receipt print | `OrderPrintTypeENUM` RECEIPT |\n| EXCHANGENOTE | Exchange note print | `OrderPrintTypeENUM` EXCHANGENOTE |\n| GIFTCARD_BARCODE | Gift card barcode print | `OrderPrintTypeENUM` GIFTCARD |\n| PICKUP_LABEL | Pickup label / note print | `OrderPrintTypeENUM` PICKUP |\n| PRODUCT | Product label print | Print-products API |\n| CUSTOMER_MEMBERSHIP_CARD | Customer membership card print | — |\n","minLength":1,"title":"AvailablePrintActionENUM","type":"string","enum":["RECEIPT","EXCHANGENOTE","GIFTCARD_BARCODE","PICKUP_LABEL","PRODUCT","CUSTOMER_MEMBERSHIP_CARD"]},"StorePrinterEventTypeENUM":{"title":"StorePrinterEventTypeENUM","type":"string","enum":["PICKUP_LABEL"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}":{"get":{"summary":"Get Store Printer Details","description":"Get Store Printer Details","tags":["StorePrinter"],"responses":{"200":{"$ref":"#/components/responses/StorePrinterResponse"}},"operationId":"get-store-pinter-details"}}}}
```

## Update Store Printer Details

> Update Store Printer Details\
> \
> Required permissions: PRINTER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StorePrinter","description":"StorePrinter"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StorePrinterResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePrinterResponseSchema"}}}}},"schemas":{"StorePrinterResponseSchema":{"title":"StorePrinterResponseSchema","type":"object","required":["store","printer","eventType","storePrinterUid"],"properties":{"store":{"$ref":"#/components/schemas/BasicStoreResponseSchema"},"printer":{"$ref":"#/components/schemas/BasicPrinterResponseSchema"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"},"storePrinterUid":{"$ref":"#/components/schemas/UID"}}},"BasicStoreResponseSchema":{"title":"BasicStoreResponseSchema","type":"object","required":["name","storeUid","organizationUid","organizationName"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"},"organizationUid":{"$ref":"#/components/schemas/UID"},"organizationName":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"BasicPrinterResponseSchema":{"title":"BasicPrinterResponseSchema","type":"object","required":["printerUid","name","type","availablePrintActions"],"properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PrinterTypeENUM"},"availablePrintActions":{"type":"array","description":"Which print job types this printer supports. See [`AvailablePrintActionENUM`](#/components/schemas/AvailablePrintActionENUM).","items":{"$ref":"#/components/schemas/AvailablePrintActionENUM"}}}},"PrinterTypeENUM":{"title":"PrinterTypeENUM","type":"string","enum":["LABEL","RECEIPT","GENERAL"]},"AvailablePrintActionENUM":{"description":"Supported print **capabilities** for a printer. Values are intentionally **not** the same strings as\n[`PrinterTypeENUM`](#/components/schemas/PrinterTypeENUM) (hardware class: LABEL / RECEIPT) or\n[`OrderPrintTypeENUM`](#/components/schemas/OrderPrintTypeENUM) (order print request `type`), so clients\ndo not confuse `printer.type` with entries in `availablePrintActions`.\n\n| ENUM | Meaning | Maps to |\n| ---- | ------- | ------- |\n| RECEIPT | Sales receipt print | `OrderPrintTypeENUM` RECEIPT |\n| EXCHANGENOTE | Exchange note print | `OrderPrintTypeENUM` EXCHANGENOTE |\n| GIFTCARD_BARCODE | Gift card barcode print | `OrderPrintTypeENUM` GIFTCARD |\n| PICKUP_LABEL | Pickup label / note print | `OrderPrintTypeENUM` PICKUP |\n| PRODUCT | Product label print | Print-products API |\n| CUSTOMER_MEMBERSHIP_CARD | Customer membership card print | — |\n","minLength":1,"title":"AvailablePrintActionENUM","type":"string","enum":["RECEIPT","EXCHANGENOTE","GIFTCARD_BARCODE","PICKUP_LABEL","PRODUCT","CUSTOMER_MEMBERSHIP_CARD"]},"StorePrinterEventTypeENUM":{"title":"StorePrinterEventTypeENUM","type":"string","enum":["PICKUP_LABEL"]},"StorePrinterUpdateRequestSchema":{"title":"StorePrinterUpdateRequestSchema","type":"object","properties":{"printerUid":{"$ref":"#/components/schemas/UID"},"eventType":{"$ref":"#/components/schemas/StorePrinterEventTypeENUM"}}}},"requestBodies":{"StorePrinterUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePrinterUpdateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}":{"put":{"summary":"Update Store Printer Details","tags":["StorePrinter"],"responses":{"200":{"$ref":"#/components/responses/StorePrinterResponse"}},"operationId":"update-store-printer-details","description":"Update Store Printer Details\n\nRequired permissions: PRINTER","requestBody":{"$ref":"#/components/requestBodies/StorePrinterUpdateRequest"}}}}}
```

## Delete Store Printer Details

> Delete Store Printer Details\
> Required permissions: PRINTER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StorePrinter","description":"StorePrinter"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}":{"delete":{"summary":"Delete Store Printer Details","tags":["StorePrinter"],"responses":{"204":{"description":"No Content"}},"operationId":"delete-store-printer-details","description":"Delete Store Printer Details\nRequired permissions: PRINTER"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/storeprinter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
